Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
songvotinh

Xin được diễn giải về Lisp chèn ký tự !!!

Các bài được khuyến nghị

songvotinh    0

Tôi có một đoạn List như sau:

(defun C:ve (/ scalei  pto  mtxtin i orx pti)

 (setq pto (getpoint "Nhap toa do "))
 (setq scalei (getreal "Nhap khoang cach chu: "))
 (setq mtxtin "")
 (setq mtxtin (getstring "input text: "))
 (setq tlen  (strlen mtxtin))
 (setq i 1)
 (setq orx (car pto))
 (while (<= i tlen )

(setq pti (polar pto  0.0 orx)) 


(if (= (substr mtxtin i 1) "a") (command "Insert" "a" pti "" "" ""))
   	(if (= (substr mtxtin i 1) "b")	(command "Insert" "b" pti "" "" ""))
   	(if (= (substr mtxtin i 1) "c")	(command "Insert" "c" pti "" "" ""))
(if (= (substr mtxtin i 1) "d")	(command "Insert" "d" pti "" "" ""))
   	(if (= (substr mtxtin i 1) "e")	(command "Insert" "e" pti "" "" ""))
   	(if (= (substr mtxtin i 1) "f")	(command "Insert" "f" pti "" "" ""))
   	(if (= (substr mtxtin i 1) "g")	(command "Insert" "g" pti "" "" ""))



(if (= (substr mtxtin i 1) "h")	(command "Insert" "h" pti "" "" ""))
(if (= (substr mtxtin i 1) "i")	(command "Insert" "i" pti "" "" "" ))
(if (= (substr mtxtin i 1) "j")	(command "Insert" "j" pti ""  "" ""))
(if (= (substr mtxtin i 1) "k")	(command "Insert" "k" pti ""  "" ""))
   	(if (= (substr mtxtin i 1) "l")	(command "Insert" "l" pti ""  "" ""))
   	(if (= (substr mtxtin i 1) "m")	(command "Insert" "m" pti ""  "" ""))
   	(if (= (substr mtxtin i 1) "n")	(command "Insert" "n" pti ""  "" ""))

   	(if (= (substr mtxtin i 1) "o")	(command "Insert" "o" pti "" "" ""))
(if (= (substr mtxtin i 1) "p")	(command "Insert" "p" pti "" "" "" ))
(if (= (substr mtxtin i 1) "q")	(command "Insert" "q" pti ""  "" ""))
(if (= (substr mtxtin i 1) "r")	(command "Insert" "r" pti ""  "" ""))
   	(if (= (substr mtxtin i 1) "s")	(command "Insert" "s" pti ""  "" ""))
   	(if (= (substr mtxtin i 1) "t")	(command "Insert" "t" pti ""  "" ""))
   	(if (= (substr mtxtin i 1) "u")	(command "Insert" "u" pti ""  "" ""))

   	(if (= (substr mtxtin i 1) "v")	(command "Insert" "v" pti "" "" ""))
(if (= (substr mtxtin i 1) "x")	(command "Insert" "x" pti "" "" "" ))
(if (= (substr mtxtin i 1) "y")	(command "Insert" "y" pti ""  "" ""))
(if (= (substr mtxtin i 1) "z")	(command "Insert" "z" pti ""  "" ""))
   	(if (= (substr mtxtin i 1) "w")	(command "Insert" "w" pti ""  "" ""))


   	(setq orx (+ scalei orx))

  	(setq i (1+ i))	
 )	
)

Và đi kèm với nó là File ABC

http://www.cadviet.com/upfiles/ABC.dwg

 

Bác Hoanh và các cao thủ có thể giúp tôi chỉnh sửa nó với... hiện nay tôi muốn sử dụng list mà ko cần đi kèm với File cad có được ko ? và tôi muốn chèn ký tự tại chính điểm chọn thì làm thế nào (hiện tại điểm chèn ký tự ko trùng với điểm chọn)

Xin các bác chỉ giáo dùm... xin cảm ơn... rất nhiều

Cadviet rất hay và ý nghĩa, chúc các bạn mạnh khoẻ...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Tôi có một đoạn List như sau:

 

Và đi kèm với nó là File ABC

http://www.cadviet.com/upfiles/ABC.dwg

 

Bác Hoanh và các cao thủ có thể giúp tôi chỉnh sửa nó với... hiện nay tôi muốn sử dụng list mà ko cần đi kèm với File cad có được ko ? và tôi muốn chèn ký tự tại chính điểm chọn thì làm thế nào (hiện tại điểm chèn ký tự ko trùng với điểm chọn)

Xin các bác chỉ giáo dùm... xin cảm ơn... rất nhiều

Cadviet rất hay và ý nghĩa, chúc các bạn mạnh khoẻ...

Xin được trả lời bạn như sau:

1. File DWG đó chứa các block để chương trình chèn vào, để chương trình này chạy được cần có file đó.

2. Bạn muốn chèn vào tại chính điểm chọn thì bạn sửa dòng mã (setq pti (polar pto 0.0 orx)) thành (setq pti pto).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
romeo1982    19
Tôi có một đoạn List như sau:

 

Và đi kèm với nó là File ABC

<a href="http://www.cadviet.com/upfiles/ABC.dwg" target="_blank">http://www.cadviet.com/upfiles/ABC.dwg</a>

 

Bác Hoanh và các cao thủ có thể giúp tôi chỉnh sửa nó với... hiện nay tôi muốn sử dụng list mà ko cần đi kèm với File cad có được ko ? và tôi muốn chèn ký tự tại chính điểm chọn thì làm thế nào (hiện tại điểm chèn ký tự ko trùng với điểm chọn)

Xin các bác chỉ giáo dùm... xin cảm ơn... rất nhiều

Cadviet rất hay và ý nghĩa, chúc các bạn mạnh khoẻ...

Cho mình hỏi là lệnh VE và bản vẽ mẫu để chèn kí tự này dùng vào việc gì và load vào cad như thế nào mới xài được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.372
Cho mình hỏi là lệnh VE và bản vẽ mẫu để chèn kí tự này dùng vào việc gì và load vào cad như thế nào mới xài được

 

Theo mình biết thì phải mở chính cái file này hoặc dùng lệnh insert chèn bản vẽ này vào rồi mới load cái lisp kia thì mới dùng được. Và nói chung thì nó còn rất thô sơ vì mẫu text như thế thì đã có sẳn rồi (cái này lãi cghưa có cả dấu nửa) thường thì chỉ dùng cho các text do mình tự sáng tác ra thôi vì lúc này 1 dòng text là cả lô block vậy mà.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×